/** Contenido **/
.contenido{
    position: relative;
    display: flex;
    flex-wrap: wrap;
}

.media{
    position: relative;
    right: 0;
    width: 30%;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.media-opciones{
    display: flex;
    margin: 1rem;
}

.anuncio{
    width: 100%;
    height: 280px;
    background: rgba(0, 0, 0, 0.8);
    color: aliceblue;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.media-title{
    padding: 0.5rem;
    margin: 10px 0 0 0;
    background: rgb(235, 19, 59);
    color: aliceblue;
    border: 1px black;
    border-radius: 50% 20% / 10% 40%;
}

.categorias{
    position: relative;
    box-sizing: border-box;
    width: 70%;
    height: 100vh;
    display: flex;
    flex-wrap: wrap;
}

.list-media{
    box-sizing: border-box;
    padding: 1.5rem;
    margin: 2rem 0 0 0;
    display: flex;
    flex-wrap: wrap;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.list-media-item{
    display: flex;
    justify-content: center;
    align-items: center;
}

.list-media-item-desc{
    width: 160px;
    font-size: small;
}

.list-media-item-desc span{
    font-weight: bold;
    margin-bottom: 4px;
}

.portada{
    position: relative;
    overflow: hidden;
    margin: 1rem;
    width: 180px;
    height: 100px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.portada img{
    position: absolute;
}

.portada-center{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: linear-gradient(rgba(0,0,0,0.7), rgba(0,0,0,0.3), rgba(0,0,0,1));
    width: 100%;
    height: 100%;
    color: aliceblue;
    padding: 0.8rem;
    box-sizing: border-box;
}

.portada-center img{
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    margin: auto;
    transition: all 500ms;
}

.portada-center img:hover{
    cursor: pointer;
    transition: all 500ms;
    width: 40px;
    height: 40px;
}

.portada-views p, portada-views h5{
    font-size: 12px;
    text-shadow: 1px solid black;
}

/** Article content **/
.article-content{
    width: 780px;
    margin: 0 auto auto auto;
    box-sizing: border-box;
}

.article-content h2{
    text-align: center;
}

.box-content{
    display: flex;
    margin: 0 0 5px 0;
    justify-content: space-around;
}

.box-likes{
    display: flex;
}

.box-content-title button{
    background: rgb(244, 36, 126);
    padding: 0.4rem 0.8rem;
    border-radius: 20px;
    border-style: none;
    color: aliceblue;
    box-shadow: 0 2px rgb(255, 153, 183);
    transition: all 300ms;
}

.box-content-title button:active{
    transform: translateY(4px);
    box-shadow: 0 1px rgb(248, 117, 156);
    transition: all 300ms;
}

.box-content-title button:hover{
    cursor: pointer;
    transition: all 300ms;
    background: rgb(224, 6, 100);
}

.box-content-title p{
    font-size: 12px;
}

.descripction-media{
    margin: 5px 0 0 0;
    background: rgba(134, 133, 133, 0.1);
    box-sizing: border-box;
    padding: 1rem;
    border-radius: 5px;
    font-size: 14px;
}

.btn-more-desc{
    background: black;
    color: aliceblue;
    border-radius: 5px;
    border-style: none;
    margin: 0.8rem 0;
    padding: 0.4rem;
}

.btn-more-desc:hover{
    cursor: pointer;
    background: rgb(64, 63, 63);
}

.photo{
    display: flex;
    justify-content: center;
    align-items: center;
}

.photo img{
    border-radius: 50%;
    margin: 0.5rem;
    border-style: none;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.box-likes{
    display: flex;
    justify-content: center;
    justify-items: center;
    align-items: center;
}

.box-likes p{
    font-size: small;
}

.box-button{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0.5rem;
}

.box-button button{
    background: none;
    border-style: none;
    opacity: 0.7;
    transition: all 500ms;
    text-align: center;
}

.box-button img{
    filter: drop-shadow(1px 0px 0px rgba(0,0,0,0.4));
}

.box-button button:hover{
    cursor: pointer;
    opacity: 1;
    transition: all 500ms;
}

.btn-share{
    /**background: rgb(198, 75, 243);**/
    background: #3bb683;
    padding: 0.8rem 1.4rem;
    border-radius: 20px;
    border-style: none;
    color: aliceblue;
    transition: all 300ms;
    box-shadow: 0 3px #8fedc6;
}

.btn-share:active{
    transform: translateY(4px);
    box-shadow: 0 1px #8fedc6; /*rgb(216, 127, 248)*/
    transition: all 300ms;
}

.btn-share:hover{
    background: #56ca9a;
    cursor: pointer;
    transition: all 300ms;
}

/** comments **/

.comments-media{
    padding: 0.6rem 0;
}

.box-comments-media{
    margin: 0.5rem 0 0 0;
    display: flex;
    flex-direction: column;
}

.box-comments-media-send{
    display: flex;
    flex-direction: column;
    border-style: none;
    border-radius: 10px;
    padding: 0.8rem;
}

.box-comments-media-send-data{
    display: flex;
}

.box-comments-media-send-child{
    display: flex;
    margin: 0.9rem;
}

.row-comment-line{
    width: 40px;
    height: 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    border-left: 1px solid rgba(0, 0, 0, 0.2);
}

.box-comments-media-send-data-img{
    border-radius: 50%;
    margin: 0 0.8rem;
    border-style: none;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.box-comments-media-send-data-profile p{
    font-weight: 0;
    font-size: 14px;
}

.box-comments-media-send-data-profile-comment{
    font-size: 15px;
    margin: 1rem 0 0 0;
}